## ros-kinetic-tensorflow-ros-rqt 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tensorflow_ros_rqt)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  rqt_gui
  rqt_gui_py
  tensorflow_ros
)

catkin_python_setup()

catkin_package()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS
  scripts/train_gui
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-tensorflow-ros-rqt (0.0.4-0xenial) xenial; urgency=high



 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 06 Feb 2017 23:00:00 -0000

ros-kinetic-tensorflow-ros-rqt (0.0.3-0xenial) xenial; urgency=high

  * fix(): Add targets install for scripts
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 06 Feb 2017 23:00:00 -0000

ros-kinetic-tensorflow-ros-rqt (0.0.2-0xenial) xenial; urgency=high

  * fix(): Installation targets
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 16 Jan 2017 23:00:00 -0000

ros-kinetic-tensorflow-ros-rqt (0.0.1-0xenial) xenial; urgency=high

  * Added link in GUI to tensorboard
  * Tensorboard start while training
  * Added view tensorflow button
  * Documentation
  * Update README.md
  * Added imgs
  * Some minor reference and naming fixes
  * Renamed dir name and fixed plugin xml
  * Merged tensorflow_object_recognition_rqt into image_recognition repo, renamed to tensorflow_ros_rqt
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 16 Jan 2017 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-tensorflow-ros-rqt
Section: misc
Priority: extra
Maintainer: Rein Appeldoorn <reinzor@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py, ros-kinetic-tensorflow-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-tensorflow-ros-rqt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py, ros-kinetic-tensorflow-ros
Description: The tensorflow_ros_rqt package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-tensorflow-ros-rqt//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
